---
title: 'Element: blur event'
slug: Web/API/Element/blur_event
tags:
  - API
  - DOM
  - Element
  - Event
  - FocusEvent
  - Reference
  - blur
  - onblur
---
<div>{{APIRef}}</div>

<p>The <strong><code>blur</code></strong> event fires when an element has lost focus. The main difference between this event and {{domxref("Element/focusout_event", "focusout")}} is that <code>focusout</code> <a href="/en-US/docs/Learn/JavaScript/Building_blocks/Events#Event_bubbling_and_capture">bubbles</a> while <code>blur</code> does not.</p>

<p>The opposite of <code>blur</code> is {{domxref("Element/focus_event", "focus")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("FocusEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onblur", "onblur")}}</td>
  </tr>
  <tr>
   <th scope="row">Sync / Async</th>
   <td>Sync</td>
  </tr>
  <tr>
   <th scope="row">Composed</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_example">Simple example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush:html;">&lt;form id="form"&gt;
  &lt;input type="text" placeholder="text input"&gt;
  &lt;input type="password" placeholder="password"&gt;
&lt;/form&gt;</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">const password = document.querySelector('input[type="password"]');

password.addEventListener('focus', (event) =&gt; {
  event.target.style.background = 'pink';
});

password.addEventListener('blur', (event) =&gt; {
  event.target.style.background = '';
});</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Simple_example", '100%', '50px')}}</p>

<h3 id="Event_delegation">Event delegation</h3>

<p>There are two ways of implementing event delegation for this event: by using the {{Event("focusout")}} event, or by setting the <code>useCapture</code> parameter of {{domxref("EventTarget.addEventListener()", "addEventListener()")}} to <code>true</code>.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush:html;">&lt;form id="form"&gt;
  &lt;input type="text" placeholder="text input"&gt;
  &lt;input type="password" placeholder="password"&gt;
&lt;/form&gt;</pre>

<h4 id="JavaScript_2">JavaScript</h4>

<pre class="brush: js">const form = document.getElementById('form');

form.addEventListener('focus', (event) =&gt; {
  event.target.style.background = 'pink';
}, true);

form.addEventListener('blur', (event) =&gt; {
  event.target.style.background = '';
}, true);</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Event_delegation", '100%', '50px')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("UI Events", "#event-type-blur")}}</td>
   <td>{{Spec2("UI Events")}}</td>
   <td>Added info that this event is composed.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Events", "#event-type-blur")}}</td>
   <td>{{Spec2("DOM3 Events")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.blur_event")}}</p>

<p>The value of {{DOMxRef("Document.activeElement")}} varies across browsers while this event is being handled ({{bug(452307)}}): IE10 sets it to the element that the focus will move to, while Firefox and Chrome often set it to the <code>body</code> of the document.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: {{domxref("Element/focus_event", "focus")}}, {{domxref("Element/focusin_event", "focusin")}}, {{domxref("Element/focusout_event", "focusout")}}</li>
 <li>This event on <code>Window</code> targets: {{domxref("Window/blur_event", "blur")}} event</li>
</ul>
